Retrieve the status of the bulk deletion

GET /api/observability/slos/_bulk_delete/{taskId}

Spaces method and path for this operation:

get /s/{space_id}/api/observability/slos/_bulk_delete/{taskId}

Refer to Spaces for more information.

Retrieve the status of the bulk deletion operation for SLOs. This endpoint returns the status of the bulk deletion operation, including whether it is completed and the results of the operation.

[Required authorization] Route required privileges: slo_write.

Path parameters

  • taskId string Required

    The task id of the bulk delete operation

application/json

Body

object | null object | null

Additional properties are NOT allowed.

Responses

  • 200 application/json

    Successful response

    Hide response attributes Show response attributes object
    • error string

      The error message if the bulk deletion operation failed

    • isDone boolean

      Indicates if the bulk deletion operation is completed

    • results array[object]

      The results of the bulk deletion operation, including the success status and any errors for each SLO

      Hide results attributes Show results attributes object
      • error string

        The error message if the deletion operation failed for this SLO

      • id string

        The ID of the SLO that was deleted

      • success boolean

        The result of the deletion operation for this SLO

  • 400 application/json

    Bad request

    Hide response attributes Show response attributes object
    • error string Required
    • message string Required
    • statusCode number Required
  • 401 application/json

    Unauthorized response

    Hide response attributes Show response attributes object
    • error string Required
    • message string Required
    • statusCode number Required
  • 403 application/json

    Forbidden response

    Hide response attributes Show response attributes object
    • error string Required
    • message string Required
    • statusCode number Required
GET /api/observability/slos/_bulk_delete/{taskId}
curl \
 --request GET 'https://<KIBANA_URL>/api/observability/slos/_bulk_delete/{taskId}' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json"
Response examples (200)
{
  "isDone": true,
  "results": [
    {
      "id": "8853df00-ae2e-11ed-90af-09bb6422b258",
      "success": true
    },
    {
      "id": "d077e940-1515-11ee-9c50-9d096392f520",
      "success": true
    }
  ]
}
{
  "isDone": true,
  "results": [
    {
      "id": "8853df00-ae2e-11ed-90af-09bb6422b258",
      "success": true
    },
    {
      "error": "SLO [d077e940-1515-11ee-9c50-9d096392f520] not found",
      "id": "d077e940-1515-11ee-9c50-9d096392f520",
      "success": false
    }
  ]
}
Response examples (400)
{
  "error": "Bad Request",
  "message": "Invalid value 'foo' supplied to: taskId",
  "statusCode": 400
}
Response examples (401)
{
  "error": "Unauthorized",
  "message": "security_exception: unable to authenticate user for REST request [/api/observability/slos]",
  "statusCode": 401
}
Response examples (403)
{
  "error": "Forbidden",
  "message": "security_exception: action [slo_write] is unauthorized for user",
  "statusCode": 403
}